package cn.axzo.workflow.common.enums;


public enum BpmnFlowNodeMode {
    GENERAL("GENERAL", "普通节点"),
    OR("OR", "或签节点"),
    AND("AND", "会签节点"),
    EXCEPTIONAL("EXCEPTIONAL", "异常"),
    ;

    private String type;
    private String desc;

    BpmnFlowNodeMode(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public boolean isEqual(String type) {
        return this.type.equals(type);
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
